Bug 90631 - Compilation failure for fragment shader with many branches on Sandy Bridge
Summary: Compilation failure for fragment shader with many branches on Sandy Bridge
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-25 15:54 UTC by Link Mauve
Modified: 2015-10-10 00:29 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
apitrace of Citra trying to compile that fragment shader (68.92 KB, text/plain)
2015-05-25 15:54 UTC, Link Mauve
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Link Mauve 2015-05-25 15:54:21 UTC
Created attachment 116029 [details]
apitrace of Citra trying to compile that fragment shader

“Mesa 10.7.0-devel implementation error: Failed to compile fragment shader: FS compile failed: Register spilling not supported with m14 used”

In the attached apitrace, the fragment shader in question is at 1320.

Or alternatively, at https://github.com/citra-emu/citra/blob/master/src/video_core/renderer_opengl/gl_shaders.h#L66
Comment 1 Tapani Pälli 2015-05-26 10:30:53 UTC
probably same issue as with bug #86469
Comment 2 Link Mauve 2015-10-10 00:29:27 UTC
I can confirm the commit linked in bug 86469#c16 fixed Citra’s huge shader as well, thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.